geos::geomgraph::index::MonotoneChainEdge Class Reference

MonotoneChains are a way of partitioning the segments of an edge to allow for fast searching of intersections. More...

`#include <MonotoneChainEdge.h>`

## Public Member Functions

| MonotoneChainEdge (Edge *newE)
const geom::CoordinateSequence * | getCoordinates ()
std::vector< size_t > & | getStartIndexes ()
double | getMinX (std::size_t chainIndex)
double | getMaxX (std::size_t chainIndex)
void | computeIntersects (const MonotoneChainEdge &mce, SegmentIntersector &si)
void | computeIntersectsForChain (std::size_t chainIndex0, const MonotoneChainEdge &mce, std::size_t chainIndex1, SegmentIntersector &si)

## Protected Attributes

Edge * | e
const geom::CoordinateSequence * | pts
std::vector< size_t > | startIndex

## Detailed Description

MonotoneChains are a way of partitioning the segments of an edge to allow for fast searching of intersections.

The documentation for this class was generated from the following file:

- MonotoneChainEdge.h